> For the complete documentation index, see [llms.txt](https://docs.akkio.com/akkio-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akkio.com/akkio-docs/endpoints-and-schemas/endpoints/projects.md).

# Projects

These endpoints allow you to read, update, and delete projects.

## &#x20;Get Project

> Retrieve the data for a given project.

```json
{"openapi":"3.1.0","info":{"title":"Akkio Public API (Beta)","version":"0.1.0"},"paths":{"/api/v1/projects/{project_id}":{"get":{"description":"Retrieve the data for a given project.","operationId":"_get_project_api_v1_projects__project_id__get","parameters":[{"in":"path","name":"project_id","required":true,"schema":{"title":"Project Id","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProjectResponse"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"}},"summary":" Get Project","tags":["Projects"]}}},"components":{"schemas":{"GetProjectResponse":{"additionalProperties":true,"properties":{"chatContext":{"default":"","description":"\nWhat would you like Chat Explore to know about this application to provide better responses? For example:\n- This dataset is customer engagement data\n- The units of the sales column are in millions\n- The data is messy and contains typos\n","title":"Chatcontext","type":"string"},"chatInstructions":{"default":"","description":"\nHow would you like Chat Explore to respond? For example:\n- Respond only in spanish\n- Provide short and concise answers only\n- Make sure to always include a chart","title":"Chatinstructions","type":"string"},"chatSuggestions":{"default":"","description":"\nCustomize the default chat suggestions by writing a list of suggestions separated by newlines. For example:\n- What is the average net media cost by campaign ID?\n- Make sure to always include a chart\n","title":"Chatsuggestions","type":"string"},"id":{"description":"The ID of this object.","title":"Id","type":"string"},"name":{"default":"","description":"The name of the flow.","title":"Name","type":"string"}},"required":["id"],"title":"GetProjectResponse","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"}}}}
```

## &#x20;Create New Project

> Creates a new project.

```json
{"openapi":"3.1.0","info":{"title":"Akkio Public API (Beta)","version":"0.1.0"},"paths":{"/api/v1/projects":{"post":{"description":"Creates a new project.","operationId":"_create_new_project_api_v1_projects_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateProjectPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProjectResponse"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"}},"summary":" Create New Project","tags":["Projects"]}}},"components":{"schemas":{"CreateProjectPayload":{"additionalProperties":true,"properties":{"_org":{"description":"Foreign key to the organization this object belongs to.","title":" Org","type":"string"},"_owner":{"description":"Foreign key to the user this object belongs to.","title":" Owner","type":"string"},"chatContext":{"default":"","description":"\nWhat would you like Chat Explore to know about this application to provide better responses? For example:\n- This dataset is customer engagement data\n- The units of the sales column are in millions\n- The data is messy and contains typos\n","title":"Chatcontext","type":"string"},"chatInstructions":{"default":"","description":"\nHow would you like Chat Explore to respond? For example:\n- Respond only in spanish\n- Provide short and concise answers only\n- Make sure to always include a chart","title":"Chatinstructions","type":"string"},"chatSuggestions":{"default":"","description":"\nCustomize the default chat suggestions by writing a list of suggestions separated by newlines. For example:\n- What is the average net media cost by campaign ID?\n- Make sure to always include a chart\n","title":"Chatsuggestions","type":"string"},"name":{"description":"The name of the flow.","title":"Name","type":"string"}},"required":["_owner","_org","name"],"title":"CreateProjectPayload","type":"object"},"GetProjectResponse":{"additionalProperties":true,"properties":{"chatContext":{"default":"","description":"\nWhat would you like Chat Explore to know about this application to provide better responses? For example:\n- This dataset is customer engagement data\n- The units of the sales column are in millions\n- The data is messy and contains typos\n","title":"Chatcontext","type":"string"},"chatInstructions":{"default":"","description":"\nHow would you like Chat Explore to respond? For example:\n- Respond only in spanish\n- Provide short and concise answers only\n- Make sure to always include a chart","title":"Chatinstructions","type":"string"},"chatSuggestions":{"default":"","description":"\nCustomize the default chat suggestions by writing a list of suggestions separated by newlines. For example:\n- What is the average net media cost by campaign ID?\n- Make sure to always include a chart\n","title":"Chatsuggestions","type":"string"},"id":{"description":"The ID of this object.","title":"Id","type":"string"},"name":{"default":"","description":"The name of the flow.","title":"Name","type":"string"}},"required":["id"],"title":"GetProjectResponse","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"}}}}
```

## &#x20;Update Project

> Update the custom instructions attached to a given project. Updates the project with any provided non-null fields and returns the resulting Flow object.

```json
{"openapi":"3.1.0","info":{"title":"Akkio Public API (Beta)","version":"0.1.0"},"paths":{"/api/v1/projects/{project_id}":{"put":{"description":"Update the custom instructions attached to a given project. Updates the project with any provided non-null fields and returns the resulting Flow object.","operationId":"_update_project_api_v1_projects__project_id__put","parameters":[{"in":"path","name":"project_id","required":true,"schema":{"title":"Project Id","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateProjectPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetProjectResponse"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"}},"summary":" Update Project","tags":["Projects"]}}},"components":{"schemas":{"UpdateProjectPayload":{"additionalProperties":true,"properties":{"chatContext":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"\nWhat would you like Chat Explore to know about this application to provide better responses? For example:\n- This dataset is customer engagement data\n- The units of the sales column are in millions\n- The data is messy and contains typos\n","title":"Chatcontext"},"chatInstructions":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"\nHow would you like Chat Explore to respond? For example:\n- Respond only in spanish\n- Provide short and concise answers only\n- Make sure to always include a chart","title":"Chatinstructions"},"chatSuggestions":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"\nCustomize the default chat suggestions by writing a list of suggestions separated by newlines. For example:\n- What is the average net media cost by campaign ID?\n- Make sure to always include a chart\n","title":"Chatsuggestions"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The name of the flow.","title":"Name"}},"title":"UpdateProjectPayload","type":"object"},"GetProjectResponse":{"additionalProperties":true,"properties":{"chatContext":{"default":"","description":"\nWhat would you like Chat Explore to know about this application to provide better responses? For example:\n- This dataset is customer engagement data\n- The units of the sales column are in millions\n- The data is messy and contains typos\n","title":"Chatcontext","type":"string"},"chatInstructions":{"default":"","description":"\nHow would you like Chat Explore to respond? For example:\n- Respond only in spanish\n- Provide short and concise answers only\n- Make sure to always include a chart","title":"Chatinstructions","type":"string"},"chatSuggestions":{"default":"","description":"\nCustomize the default chat suggestions by writing a list of suggestions separated by newlines. For example:\n- What is the average net media cost by campaign ID?\n- Make sure to always include a chart\n","title":"Chatsuggestions","type":"string"},"id":{"description":"The ID of this object.","title":"Id","type":"string"},"name":{"default":"","description":"The name of the flow.","title":"Name","type":"string"}},"required":["id"],"title":"GetProjectResponse","type":"object"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"}}}}
```

## &#x20;Delete Project

> Deletes the project at the given ID.

```json
{"openapi":"3.1.0","info":{"title":"Akkio Public API (Beta)","version":"0.1.0"},"paths":{"/api/v1/projects/{project_id}":{"delete":{"description":"Deletes the project at the given ID.","operationId":"_delete_project_api_v1_projects__project_id__delete","parameters":[{"in":"path","name":"project_id","required":true,"schema":{"title":"Project Id","type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}},"description":"Validation Error"}},"summary":" Delete Project","tags":["Projects"]}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akkio.com/akkio-docs/endpoints-and-schemas/endpoints/projects.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
